"ACTION_REQUIRED_TITLE" = "Action Required";
"ANSWER_CALL_BUTTON_TITLE" = "Vastaa";
"APN" = "Saapuva puhelu";
"AUDIO_PERMISSION_MESSAGE" = "Signal requires access to your microphone to work properly. You can restore the permission in the Settings app >> Privacy >> Microphone >> Signal";
"CALL_BUTTON_TITLE" = "Soita";
"CHALLENGE_CODE_BUTTON_TITLE" = "VAHVISTA";
"CHOOSE_COUNTRY_CODE" = "Valitse maatunnus";
"CONTACT_BROWSE_NAV_BAR_TITLE" = "Yhteystiedot";
"CONTACT_DETAIL_COMM_TYPE_EMAIL" = "Sähköpostiosoite";
"CONTACT_DETAIL_COMM_TYPE_INSECURE" = "Rekisteröimätön numero";
"CONTACT_DETAIL_COMM_TYPE_NOTES" = "Muistiinpanot";
"CONTACT_DETAIL_COMM_TYPE_SECURE" = "Rekisteröity numero";
"CONTINUE_TO_WHISPER_TITLE" = "Jatka Signaliin";
"DATESTRING_TODAY" = "Tänään";
"DIALER_CALL_BUTTON_TITLE" = "Soita";
"DIALER_LETTERS_0" = "0";
"DIALER_LETTERS_1" = "";
"DIALER_LETTERS_2" = "ABC";
"DIALER_LETTERS_3" = "DEF";
"DIALER_LETTERS_4" = "GHI";
"DIALER_LETTERS_5" = "JKL";
"DIALER_LETTERS_6" = "MNO";
"DIALER_LETTERS_7" = "PQRS";
"DIALER_LETTERS_8" = "TUV";
"DIALER_LETTERS_9" = "WXYZ";
"DIALER_LETTERS_POUND" = "";
"DIALER_NUMBER_0" = "0";
"DIALER_NUMBER_1" = "1";
"DIALER_NUMBER_2" = "2";
"DIALER_NUMBER_3" = "3";
"DIALER_NUMBER_4" = "4";
"DIALER_NUMBER_5" = "5";
"DIALER_NUMBER_6" = "6";
"DIALER_NUMBER_7" = "7";
"DIALER_NUMBER_8" = "8";
"DIALER_NUMBER_9" = "9";
"DIALER_NUMBER_PLUS" = "+";
"DIALER_NUMBER_POUND" = "#";
"DISABLING_BACKUP_FAILED" = "We encountered an issue while disabling the backup of your call log. Call logs might leak in your iTunes/iCloud backups.";
"END_CALL_BAD_INTERACTION_WITH_SERVER" = "Virhe palvelimessa!";
"END_CALL_BUTTON_TITLE" = "Lopeta";
"END_CALL_HANDSHAKE_FAILED" = "Yhteyden luonti epäonnistui!";
"END_CALL_HANGUP_LOCAL" = "Lopetit puhelun.";
"END_CALL_HANGUP_REMOTE" = "Vastapuoli lopetti puhelun.";
"END_CALL_LOGIN_FAILED" = "Kirjautuminen epäonnistui";
"END_CALL_MESSAGE_FROM_SERVER_PREFIX" = "Viesti palvelimelta:";
"END_CALL_NO_SUCH_USER" = "Numeroa ei rekisteröity Signaliin tai RedPhoneen!";
"END_CALL_RECIPIENT_REJECTED" = "Puhelu hylätty.";
"END_CALL_RECIPIENT_UNAVAILABLE" = "Recipient Unavailable.";
"END_CALL_REJECTED_LOCAL" = "Hylkäsit puhelun.";
"END_CALL_REJECTED_REMOTE" = "Puhelu hylätty.";
"END_CALL_REPLACED_BY_NEXT" = "You Made Another Call.";
"END_CALL_RESPONDER_IS_BUSY" = "Varattu...";
"END_CALL_STALE_SESSION" = "Missed the Call.";
"END_CALL_UNCATEGORIZED_FAILURE" = "Client Failed!";
"FAVOURITES_NAV_BAR_TITLE" = "Suosikit";
"HOME_FOOTER_FIRST_MESSAGE_CALLS_UNSORTED" = "Sinulle on";
"HOME_FOOTER_FIRST_MESSAGE_CALLS_NIL" = "Kaikki kunnossa";
"HOME_FOOTER_SECOND_MESSAGE_CALLS_UNSORTED" = "lajittelematonta puhelua";
"HOME_FOOTER_SECOND_MESSAGE_CALLS_NIL" = "Ei puheluita";
"HOME_FOOTER_SECOND_MESSAGE_CALL_UNSORTED" = "lajittelematon puhelu";
"INBOX_VIEW_TUTORIAL_LABEL_MIDDLE" = "Check your contacts to see which of your friends support secure calls";
"INBOX_VIEW_TUTORIAL_LABEL_TOP" = "You haven't received a call from a Signal user yet.";
"INVITE_USERS_ACTION_SHEET_TITLE" = "Invite Number";
"INVITE_USERS_MESSAGE" = "Haluaisin soittaa sinulle turvallisesti käyttäen Signalia. Voit ladata Signalin App Storesta:";
"INVITE_USER_MODAL_TITLE" = "Rekisteröitymätön yhteystieto";
"INVITE_USER_MODAL_BUTTON_CANCEL" = "Ei kiitos";
"INVITE_USER_MODAL_BUTTON_INVITE" = "Kutsu";
"INVITE_USER_MODAL_TEXT" = "The number dialed is not registered with Signal. Would you like to invite them via SMS?";
"IN_CALL_CONNECTING" = "Yhdistetään...";
"IN_CALL_RINGING" = "RING... RING...";
"IN_CALL_SECURING" = "Vastattu. Suojataan...";
"IN_CALL_TALKING" = "Secured. You can be heard now.";
"IN_CALL_TERMINATED" = "Valmis.";
"KEYPAD_NAV_BAR_TITLE" = "Keypad";
"MAIN_MENU_INVITE_CONTACTS" = "Invite Contacts";
"MAIN_MENU_OPTION_ABOUT" = "Tietoa";
"MAIN_MENU_OPTION_BLOG" = "Blogi";
"MAIN_MENU_OPTION_CONTACTS" = "Yhteystiedot";
"MAIN_MENU_OPTION_DIALER" = "Numerovalitsin";
"MAIN_MENU_OPTION_FAVOURITES" = "Suosikit";
"MAIN_MENU_OPTION_RECENT_CALLS" = "Recents";
"MAIN_MENU_OPTION_REPORT_BUG" = "Tuki";
"MAIN_MENU_OPTION_SETTINGS" = "Asetukset";
"MUTE_BUTTON_TITLE" = "Hiljennä";
"NOTIFICATION_TEXT" = "Some of your contacts have recently registered numbers with Signal!";
"NO_FAVOURITES_TEXT" = "To favorite a contact, tap the star on a contact page.";
"OK" = "Ok";
"PUSH_SETTINGS_MESSAGE" = "Signal requires push notification alerts and sounds to be enabled to work properly. Please change it in the Settings app >> Notification Center >> Signal.";
"QUICK_LINKS_TITLE" = "Pikavalikko";
"RECENT_CALLS_SORTING_TITLE" = "Sorting Method";
"RECENT_NAV_BAR_TITLE" = "Soittohistoria";
"REGISTER_BUTTON_TITLE" = "REKISTERÖIDY";
"REGISTER_CC_ERR_ALERT_VIEW_MESSAGE" = "Syötä kelvollinen maatunnus.";
"REGISTER_CC_ERR_ALERT_VIEW_TITLE" = "Virhe maatunnuksessa";
"REGISTER_CHALLENGE_TEXTBLOCK_PART1" = "Let’s make sure you’re real. We've sent you a SMS with a six digit code to:";
"REGISTER_CHALLENGE_TEXTBLOCK_PART2" = "To complete your phone number verification, please enter the code below.";
"REGISTER_CHALLENGE_VOICECALL_TEXT" = "If you are unable to receive an SMS, we will call you in";
"REGISTER_CHALLENGE_ALERT_VIEW_TITLE" = "Väärä koodi";
"REGISTER_CHALLENGE_ALERT_VIEW_BODY" = "Please verify the code and try again";
"REGISTER_ENTER_COUNTRY_CODE" = "Puhelinnumerosi maakoodi";
"REGISTER_ENTER_NUMBER" = "Puhelinnumerosi";
"REGISTER_SUCCESS_TEXTBLOCK" = "Congratulations! Your registration was successful. You may start using Signal to make secure phone calls.";
"REGISTER_TEXTBLOCK" = "To get started making secure calls, please confirm your country code and enter your device's phone number.";
"REGISTER_VALIDATION_ENTER_CODE" = "Varmennuskoodi";
"REGISTER_VALIDATION_SENT" = "Lähetimme varmennuskoodisi";
"REGISTER_WELCOME_TEXT" = "Tervetuloa Signaliin";
"REGISTRATION_ERROR" = "Virhe rekisteröitymisessä";
"REGISTRATION_BODY" = "Signalin palvelinta ei pystytä tavoittamaan. Yritä uudestaan.";
"REJECT_CALL_BUTTON_TITLE" = "Hylkää";
"SETTINGS_CALL_QUALITY" = "Äänenlaatu";
"SETTINGS_CHANGE_VOLUME" = "Vaihda äänenvoimakkuutta napeilla";
"SETTINGS_CLEAR_HISTORY_LOG" = "Tyhjennä tallennetut historiatiedot";
"SETTINGS_DATE_FORMAT" = "Päivämäärän muotoilu";
"SETTINGS_DISABLE_AUTOCORRECT" = "Automaattinen korjaus pois päältä";
"SETTINGS_DISABLE_HISTORY_LOG" = "Älä tallenna historiatietoja";
"SETTINGS_HIDE_CONTACT_IMAGES" = "Hide Contact Images";
"SETTINGS_LOCALIZATION_OVERRIDE" = "Localization Override";
"SETTINGS_LOCALIZATION_OVERRIDES" = "Localization Overrides";
"SETTINGS_LOG_CLEAR_MESSAGE" = "Call History Cleared";
"SETTINGS_LOG_CLEAR_TITLE" = "Toiminto suoritettu";
"SETTINGS_NAV_BAR_TITLE" = "Asetukset";
"SETTINGS_NOTIFICATIONS" = "Ilmoitukset";
"SETTINGS_NUMBER_PREFIX" = "Numerosi:";
"SETTINGS_PRIVACY_AND_SECURITY" = "Yksityisyys ja turvallisuus";
"SETTINGS_RINGTONE" = "Soittoääni";
"SETTINGS_SENDLOG" = "Submit Debug Log"; 
"SETTINGS_SENDLOGS_WAITING" = "Sending log file\n Please wait...";
"SETTINGS_SENDLOG_ALERT_BODY" = "Bugs can be reported by email or by copying the log in a GitHub Issue (advanced).";
"SETTINGS_SENDLOG_ALERT_PASTE" = "Sähköposti";
"SETTINGS_SENDLOG_ALERT_EMAIL" = "GitHub Issue";
"SETTINGS_SENDLOG_FAILED_TITLE" = "Failed to submit debug log";
"SETTINGS_SENDLOG_FAILED_BODY" = "The debug log could not be submitted. Please try again.";
"SETTINGS_VIBRATE_ON_RING" = "Vibrate on Ring";
"SETTINGS_VIBRATE_ON_SILENT" = "Vibrate on Silent";
"SPEAKER_BUTTON_TITLE" = "Kaiutin";
"TABLE_SECTION_TITLE_REGISTERED" = "Registered Contacts";
"TABLE_SECTION_TITLE_UNREGISTERED" = "Unregistered Contacts";
"TIMEOUT" = "Timeout";
"TIMEOUT_CONTACTS_DETAIL" = "We couldn't fetch an updated contact list from the server. Please try again later.";
"TXT_ADD_CONTACT" = "+ Lisää yhteystieto";
"TXT_CANCEL_TITLE" = "Peruuta";
"TXT_SEARCH_PLACEHOLDER_TEXT" = "Etsi";
"UNKNOWN_CONTACT_NAME" = "Tuntematon soittaja";
"WARNING"= "Varoitus";
"WHISPER_NAV_BAR_TITLE" = "Postilaatikko";
